Package ru.bitel.bgbilling.modules.npay.server.bean

# Class NPayServiceStatusDao

java.lang.Object
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.modules.npay.server.bean.NPayServiceStatusDao

    public class NPayServiceStatusDao
    extends ru.bitel.common.dao.AbstarctDaoConstant

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String` | `TABLE_NPAY_SERVICE_STATUS_MATRIX` |

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `NPayServiceStatusDao​(java.sql.Connection con, int moduleId)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.Boolean[][]` | `getServiceStatusValues​(java.util.List<java.lang.Integer> serviceIds, java.util.List<java.lang.Integer> statusIds)` |
  `void` | `updateServiceStatusValues​(java.util.List<java.lang.Integer> serviceIds, java.util.List<java.lang.Integer> statusIds, java.lang.Boolean[][] values)` |

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TABLE_NPAY_SERVICE_STATUS_MATRIX

    public static final java.lang.String TABLE_NPAY_SERVICE_STATUS_MATRIX
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### NPayServiceStatusDao

    public NPayServiceStatusDao​(java.sql.Connection con, int moduleId)

- ## Method Details

  - ### getServiceStatusValues

    public java.lang.Boolean[][] getServiceStatusValues​(java.util.List<java.lang.Integer> serviceIds, java.util.List<java.lang.Integer> statusIds) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateServiceStatusValues

    public void updateServiceStatusValues​(java.util.List<java.lang.Integer> serviceIds, java.util.List<java.lang.Integer> statusIds, java.lang.Boolean[][] values) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`